Nginx报 libraries: libgd.so.3错误

  • 在宝塔下安装nginx后,启动程序,有如下报错
Nginx报 libraries: libgd.so.3错误
  • 进去系统,使用nginx -t 检查错误
[root@instance-ba0ly8r5 ~]# nginx -t
nginx: error while loading shared libraries: libgd.so.3: cannot open shared object file: No such file or directory

通过检查发现,是缺少 libgd.so.3,缺少gd库

  • 安装gd库
[root@instance-ba0ly8r5 ~]# yum install -y gd
  • 重新启动nginx,正常启动
Nginx报 libraries: libgd.so.3错误

文章来源:https://www.cnaaa.net,转载请注明出处:https://www.cnaaa.net/archives/5230

(0)
郭靖的头像郭靖
上一篇 2022年7月5日 下午5:23
下一篇 2022年7月7日 下午4:48

相关推荐

  • LNMP黄金架构的搭建

    LNMP组合工作流程 LNMP工作流是用户通过浏览器输入域名访问Nginx web服务,Nginx判断请求是静态请求则由Nginx返回给用户。如果是动态请求(如.php结尾),那么Nginx会将该请求通过FastCGI接口发送给PHP引擎(php-fpm进程)进行解析,如果该动态请求需要读取mysql数据库,php会继续向后读取数据库,最终Nginx将获取的…

    2022年7月7日
    68600
  • 解决Composer Installing dependencies from lock file

    1、问题描述 2、原因 这是因为不匹配composer.json要求的版本。提示我的PHP 7版本太高,不符合composer.json需要的版本,但是在PHP 7下应该也是可以运行的,composer可以设置忽略版本匹配。 3、解决方案 composer install –ignore-platform-reqs 或者 composer update -…

    2023年2月14日
    53400
  • Discuz! X 3.4, 更新PHP7.4后无法打开uc_server的解决方案!

    页面报错:Deprecated: Array and string offset access syntax with curly braces is deprecated in/www/wwwroot/***/uc_server/admin.php on line53 出现报错原因: PHP7.4不再支持使用大括号访问数组以及字符串的偏移 将53行修改为:

    2023年7月31日
    36900
  • Nginx配置及命令详解

    Nginx命令行 nginx -s 对应参数 信号 含义 stop TERM 强制关闭整个服务 null INT 强制关闭整个服务 quit QUIT 优雅地关闭整个服务 reopen USR1 重新打开日志记录 reload HUP 重新读取配置文件,并且优雅地退出老的worker nginx.conf重要的指令块 核心功能都在于http{}指令块里,ht…

    2022年6月17日
    82600
  • NGINX的基本编译安装部署

    yum自动安装,不支持自由扩展第三方功能 源码编译安装,可以指定安装路径,并支持自由安装模块 安装前准备 安装GCC编译环境 安装模块依赖 Nginx支持的功能模块需要有第三方的库支持,例如gzip的zlib库,rewrite重写需要的pcre库,HTTPS需要的openssl库等等。 如果出现报错 可以在后面添加命令 –setopt=prote…

    2022年6月17日
    62710

发表回复

您的电子邮箱地址不会被公开。 必填项已用 * 标注

在线咨询: QQ交谈

邮件:712342017@qq.com

工作时间:周一至周五,8:30-17:30,节假日休息

关注微信